# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75"
name = "moteus-derive"
version = "0.5.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Derive macros for the moteus brushless motor controller client library"
readme = "README.md"
keywords = [
    "moteus",
    "robotics",
    "motor-control",
    "can-fd",
]
categories = [
    "science::robotics",
    "hardware-support",
]
license = "Apache-2.0"
repository = "https://github.com/mjbots/moteus"

[lib]
name = "moteus_derive"
path = "src/lib.rs"
proc-macro = true

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1"

[dependencies.syn]
version = "2"
features = ["full"]
